import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional()
}).strict();
export const AiSettingsAvgAggregateInputObjectSchema: z.ZodType<Prisma.AiSettingsAvgAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.AiSettingsAvgAggregateInputType>;
export const AiSettingsAvgAggregateInputObjectZodSchema = makeSchema();
